while 1
  filename = input('filename: ');
  if isstr(filename)
    break
  end
end
[dp, message] = open_problem(filename);
if isempty(dp)
  fprintf(message)
else
  C = input('C: ');
  if isempty(C)
    C = 0;
  end
  [alt, EU, IP, IU, P, U, XIP, XIU] = solve_problem(dp,C);
  PC = pcentroid(dp);
  UC = ucentroid(dp);
  fprintf('p =');
  fprintf(' %.3f ', PC);
  fprintf('\n');
  fprintf('u =');
  fprintf(' %.3f ', UC);
  fprintf('\n');
  fprintf('p''=');
  fprintf(' %.3f ', P);
  fprintf('\n');
  fprintf('u''=');
  fprintf(' %.3f ', U);
  fprintf('\n');
  fprintf('p'' - p=');
  fprintf(' %.3f ', P-PC);
  fprintf('\n');
  if ~isempty(XIP)
    fprintf('xip =');
    fprintf(' %.3f ', XIP);
    fprintf('\n');
  end
  fprintf('u'' - u=');
  fprintf(' %.3f ', U-UC);
  fprintf('\n');
  if ~isempty(XIU)
    fprintf('xiu =');
    fprintf(' %.3f ', XIU);
    fprintf('\n');
  end
  for ii = 1:length(EU)
    fprintf('EU(alt%d) = %.3f\n', ii, EU(ii));
  end
  fprintf('Inconsistency of probability base is %.3f\n', IP);
  fprintf('Inconsistency of utility base is %.3f\n', IU);
  fprintf('Best alternative is %d\n', alt);
end